<ion-header class="siderbar default">
    <ion-toolbar>
        <ion-buttons start>
            <button menuToggle ion-button icon-only>
                <img src="assets/icon/svg/SideBarButton.svg">
            </button>
        </ion-buttons>
        <ion-title>{{'restaurant_list.header.title' | translate}}</ion-title>
        <ion-buttons end>
            <button ion-button icon-only>
                <img src="assets/icon/svg/locationicon.svg">
            </button>
        </ion-buttons>
    </ion-toolbar>
    <div class="group-header">
        <button class="button-back" ion-button icon-only clear>
            <ion-icon ios="ios-arrow-dropleft" md="ios-arrow-dropleft"></ion-icon>
        </button>
        <div class="group-search full-width">
            <button ion-button icon-only clear>
                <img src="assets/icon/svg/Searchicon.png">
            </button>
            <ion-input type="search" [(ngModel)]="textSearch" placeholder="Search something..." (keyup.enter)="onSearch($event)"></ion-input>
            <!-- <ion-searchbar
                [(ngModel)]="textSearch"
                [showCancelButton]="shouldShowCancel"
                (ionInput)="onInput($event)"
                (ionCancel)="onCancel($event)">
            </ion-searchbar> -->
        </div>
    </div>
    <div class="group-filters">
        <div class="title">Sắp xếp theo:</div>
        <div class="group-button-filter">
            <div class="left">
                <button ion-button round [ngClass]="{'activate':filtered == '1'}" (click)="goFilter('1')">Gần nhất
                </button>
            </div>
            <div class="right">
                <button ion-button round [ngClass]="{'activate':filtered == '2'}" (click)="goFilter('2')">Danh sách
                </button>
            </div>
        </div>
    </div>
</ion-header>
<ion-content>
    <div class="nearest" *ngIf="filtered == '1'">
        <restaurant-card-item
            *ngFor="let restaurant of restaurantList"
            [info]="restaurant"
            (onDetailClicked)="goDetailRestaurant(restaurant)"
            (onLocationClicked)="goLocation(restaurant)"
        ></restaurant-card-item>
    </div>
    <div *ngIf="filtered == '2'">
        <restaurant-list-item
            *ngFor="let itemRestaurant of restaurantList"
            [info]="itemRestaurant"
            (onDetailClicked)="goDetailRestaurant()"
            (onLocationClicked)="goLocation()"
        ></restaurant-list-item>
    </div>
    <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
        <ion-infinite-scroll-content></ion-infinite-scroll-content>
    </ion-infinite-scroll>
</ion-content>
